-- ----------------------------------------------------------------------------
-- AddOn namespace
-- ----------------------------------------------------------------------------
local AddOnFolderName, private = ...
local NPCs = private.Data.NPCs
local NPCClassification = private.Enum.NPCClassification

-- ----------------------------------------------------------------------------
-- Multiple zones
-- ----------------------------------------------------------------------------
NPCs[107924] = { -- Darkfiend Tormentor
	questID = -1,
	vignetteID = -1,
}

-- ----------------------------------------------------------------------------
-- Azsuna
-- ----------------------------------------------------------------------------
NPCs[89016] = { -- Ravyn-Drath
	achievementQuestID = 37537, -- Ravyn-Drath
	vignetteID = 636,
}

NPCs[89650] = { -- Valiyaka the Stormbringer
	questID = 37726, -- Valiyaka the Stormbringer
	vignetteID = 677,
}

NPCs[89816] = { -- Golza the Iron Fin
	questID = 37820, -- Hatecoil Reinforcements
	vignetteID = 678, -- Horn of the Siren
}

NPCs[89846] = { -- Captain Volo'ren
	questID = 37821, -- Captain Volo'ren
	vignetteID = 679,
}

NPCs[89850] = { -- The Oracle
	questID = 37822, -- The Oracle
	vignetteID = 680, -- The Oracle
}

NPCs[89865] = { -- Mrrgrl the Tide Reaver
	questID = 37823, -- Mrrgrl the Tide Reaver
	vignetteID = 681, -- Mrrgrl the Tide Reaver
}

NPCs[89884] = { -- Flog the Captain-Eater
	questID = 37824, -- Flog the Captain-Eater
	vignetteID = 682, -- Flog the Captain-Eater
}

NPCs[90057] = { -- Daggerbeak
	questID = 37869, -- Daggerbeak
	vignetteID = 686, -- Daggerbeak
}

NPCs[90164] = { -- Warbringer Mox'na
	questID = 37909, -- Warbringer Mox'na
	vignetteID = 692, -- Seek & Destroy Squad
}

NPCs[90173] = { -- Arcana Stalker
	questID = 37909, -- Warbringer Mox'na
	vignetteID = 692, -- Seek & Destroy Squad
}

NPCs[90217] = { -- Normantis the Deposed
	questID = 37928, -- Normantis the Deposed
	vignetteID = 693, -- Normantis the Deposed
}

NPCs[90244] = { -- Arcavellus
	achievementQuestID = 37932, -- Unbound Rift
	vignetteID = 694, -- Unbound Rift
}

NPCs[90505] = { -- Syphonus
	achievementQuestID = 37989, -- Syphonus
	vignetteID = 697, -- Syphonus & Leodrath
}

NPCs[90803] = { -- Infernal Lord
	achievementQuestID = 38037, -- Cache of Infernals
	vignetteID = 707, -- Cache of Infernals
}

NPCs[90901] = { -- Pridelord Meowl
	questID = 38061, -- Pridelord Meowl
	vignetteID = 716, -- Pridelord Meowl
}

NPCs[91100] = { -- Brogozog
	achievementQuestID = 38212, -- Brogozog
	vignetteID = 720, -- Marius & Tehd
}

NPCs[91113] = { -- Tide Behemoth
	questID = 38217, -- Tide Behemoth
	vignetteID = -1,
}

NPCs[91114] = { -- Tide Behemoth
	questID = 38217, -- Tide Behemoth
	vignetteID = -1,
}

NPCs[91115] = { -- Tide Behemoth
	achievementQuestID = 38217, -- Tide Behemoth
	vignetteID = 721,
}

NPCs[91187] = { -- Beacher
	questID = 38238, -- Beacher
	vignetteID = 723, -- Beacher
}

NPCs[91289] = { -- Cailyn Paledoom
	questID = 38268, -- Darkbane
	vignetteID = 731, -- Cailyn Paledoom
}

NPCs[91579] = { -- Doomlord Kazrok
	achievementQuestID = 38352, -- Kazrok
	vignetteID = 737, -- Marius & Tehd
}

NPCs[93622] = { -- Mortiferous
	questID = 45516, -- Mortiferous
	vignetteID = 1840, -- Mortiferous
}

NPCs[99846] = { -- Raging Earth
	questID = -1,
	vignetteID = -1,
}

NPCs[99886] = { -- Pacified Earth
	questID = -1,
	vignetteID = -1,
}

NPCs[101596] = { -- Charfeather
	questID = 40766, -- Charfeather
	vignetteID = 1233, -- Charfeather
}

NPCs[102064] = { -- Torrentius
	questID = 44035, -- Torrentius
	vignetteID = 1613, -- Torrentius
}

NPCs[103975] = { -- Jade Darkhaven
	questID = 43957, -- Jade Darkhaven
	vignetteID = 1605, -- Jade Darkhaven
}

NPCs[105938] = { -- Felwing
	achievementQuestID = 42069, -- Felbats
	vignetteID = 1299, -- Marius & Tehd
}

NPCs[106990] = { -- Chief Bitterbrine
	questID = 42221, -- Chief Bitterbrine
	vignetteID = 1326, -- Chief Bitterbrine
}

NPCs[107105] = { -- Broodmother Lizax
	questID = 44670, -- Broodmother Lizax
	vignetteID = 1688, -- Broodmother Lizax
}

NPCs[107113] = { -- Vorthax
	achievementQuestID = 42280, -- Vorthax
	vignetteID = 1337, -- Vorthax
}

NPCs[107127] = { -- Brawlgoth
	questID = 42450, -- Brawlgoth
	vignetteID = 1348, -- Brawlgoth
}

NPCs[107136] = { -- Houndmaster Stroxis
	questID = 42286, -- Houndmaster Stroxis
	vignetteID = 1351, -- Houndmaster Stroxis
}

NPCs[107169] = { -- Horux
	questID = 42286, -- Houndmaster Stroxis
	vignetteID = 1351, -- Houndmaster Stroxis
}

NPCs[107170] = { -- Zorux
	questID = 42286, -- Houndmaster Stroxis
	vignetteID = 1351, -- Houndmaster Stroxis
}

NPCs[107266] = { -- Commander Soraax
	questID = 44673, -- Commander Soraax
	vignetteID = 1690,
}

NPCs[107269] = { -- Inquisitor Tivos
	achievementQuestID = 42376, -- Inquisitor Tivos
	vignetteID = 1367,
}

NPCs[107327] = { -- Bilebrain
	questID = 42417, -- Bilebrain
	vignetteID = 1370,
}

NPCs[107657] = { -- Arcanist Shal'iman
	achievementQuestID = 42505, -- Arcanist Shal'iman
	vignetteID = 1378,
}

NPCs[108136] = { -- The Muscle
	questID = 44671, -- The Muscle
	vignetteID = 1689, -- The Muscle
}

NPCs[108255] = { -- Coura, Mistress of Arcana
	questID = 42699, -- Coura, Master of Arcana
	vignetteID = 1410, -- Coura, Master of Arcana
}

NPCs[108829] = { -- Levantus
	classification = NPCClassification.Elite,
	vignetteID = -1,
	worldQuestID = 43192, -- Terror of the Deep
}

NPCs[109331] = { -- Calamir
	classification = NPCClassification.Elite,
	vignetteID = -1,
	worldQuestID = 43193, -- Calamitous Intent
}

NPCs[109504] = { -- Ragemaw
	questID = 44108, -- Ragemaw
	vignetteID = 1636, -- Ragemaw
}

NPCs[109575] = { -- Valakar the Thirsty
	questID = 45515, -- Valakar the Thirsty
	vignetteID = 1839,
}

NPCs[109584] = { -- Fjordun
	questID = 45499, -- Fjordun
	vignetteID = 1823,
}

NPCs[109594] = { -- Stormfeather
	questID = 45497, -- Stormfeather
	vignetteID = 1822,
}

NPCs[109620] = { -- The Whisperer
	questID = 45496, -- The Whisperer
	vignetteID = 1821,
}

NPCs[109630] = { -- Immolian
	questID = 45495, -- Immolian
	vignetteID = 1820,
}

NPCs[109641] = { -- Arcanor Prime
	questID = 45494, -- Arcanor Prime
	vignetteID = 1819,
}

NPCs[109653] = { -- Marblub the Massive
	questID = 45492, -- Marblub the Massive
	vignetteID = 1817,
}

NPCs[109677] = { -- Chief Treasurer Jabrill
	questID = 45491, -- Chief Treasurer Jabrill
	vignetteID = 1816,
}

NPCs[109702] = { -- Deepclaw
	questID = 45489, -- Deepclaw
	vignetteID = 1814,
}

NPCs[111434] = { -- Sea King Tidross
	questID = 44039, -- Sea King Tidross
	vignetteID = 1614,
}

NPCs[111454] = { -- Bestrix
	questID = 43961, -- Bestrix
	vignetteID = 1607,
}

NPCs[111674] = { -- Cinderwing
	questID = 43960,
	vignetteID = 1606,
}

NPCs[111939] = { -- Lysanis Shadesoul
	questID = 43956, -- Lysanis Shadesoul
	vignetteID = 1604,
}

NPCs[112636] = { -- Sinister Leyrunner
	achievementQuestID = 44081, -- Treacherous Leyrunners
	vignetteID = 1623, -- Treacherous Stallions
}

NPCs[112637] = { -- Devious Sunrunner
	achievementQuestID = 44081, -- Treacherous Leyrunners
	vignetteID = 1623, -- Treacherous Stallions
}

-- ----------------------------------------------------------------------------
-- Darkheart Thicket
-- ----------------------------------------------------------------------------
NPCs[99362] = { -- Kudzilla
	vignetteID = 1244,
}

NPCs[101660] = { -- Rage Rot
	vignetteID = 1243,
}

-- ----------------------------------------------------------------------------
-- Halls of Valor
-- ----------------------------------------------------------------------------
NPCs[96647] = { -- Earlnoc the Beastbreaker
	questID = 42240, -- Halls of Valor: Ponderous Poaching
	vignetteID = 1064
}

NPCs[99802] = { -- Arthfael
	questID = 42239, -- Halls of Valor: The Bear King
	vignetteID = 1247,
}

-- ----------------------------------------------------------------------------
-- Stormheim
-- ----------------------------------------------------------------------------
NPCs[90139] = { -- Inquisitor Ernstenbok
	achievementQuestID = 37908, -- Inquisitor Ernstenbok
	vignetteID = 691, -- Inquisitor Ernstenbok
}

NPCs[91529] = { -- Glimar Ironfist
	achievementQuestID = 38333, -- Drake Wrestler
	vignetteID = 735, -- Glimar Ironfist
}

NPCs[91780] = { -- Mother Clacker
	questID = 38422, -- Makrura Wave Event
	vignetteID = 762, -- The Blightcaller
}

NPCs[91795] = { -- Stormwing Matriarch
	achievementQuestID = 38423, -- Stormdrake Matriarch
	pets = {
		{
			itemID = 129208, -- Stormborne Whelpling
			npcID = 97205, -- Stormborne Whelpling
		},
	},
	vignetteID = 763, -- Stormwing Matriarch
}

NPCs[91803] = { -- Fathnyr
	achievementQuestID = 38425, -- Fel Thorignir
	vignetteID = 765, -- Fathnyr
}

NPCs[91874] = { -- Bladesquall
	achievementQuestID = 38431, -- Bladesquall
	vignetteID = 769, -- Bladesquall
}

NPCs[91892] = { -- Thane Irglov the Merciless
	achievementQuestID = 38424, -- Thane's Mead Hall
	toys = {
		{ itemID = 129113 }, -- Faintly Glowing Flagon of Mead
	},
	vignetteID = 764, -- Thane's Mead Hall
}

NPCs[92152] = { -- Whitewater Typhoon
	achievementQuestID = 38472, -- Whitewater Typhoon
	vignetteID = 779, -- Whitewater Typhoon
}

NPCs[92590] = { -- Hook
	factionGroup = "Horde",
	questID = 38625, -- Hook & Sinker
	vignetteID = 824, -- Hook & Sinker
}

NPCs[92591] = { -- Sinker
	factionGroup = "Horde",
	questID = 38625, -- Hook & Sinker
	vignetteID = 824, -- Hook & Sinker
}

NPCs[92599] = { -- Bloodstalker Alpha
	achievementQuestID = 38626, -- Worg Pack
	isTameable = true,
	vignetteID = 825, -- Worg Pack
}

NPCs[92604] = { -- Champion Elodie
	factionGroup = "Alliance",
	questID = 38627, -- Worgen Stalkers (Horde Only)
	vignetteID = 826, -- Worgen Stalkers
}

NPCs[92609] = { -- Tracker Jack
	factionGroup = "Alliance",
	questID = 38627, -- Worgen Stalkers (Horde Only)
	vignetteID = 826, -- Worgen Stalkers
}

NPCs[92611] = { -- Ambusher Daggerfang
	factionGroup = "Alliance",
	questID = 38627, -- Worgen Stalkers (Horde Only)
	vignetteID = 826, -- Worgen Stalkers
}

NPCs[92613] = { -- Priestess Liza
	factionGroup = "Alliance",
	questID = 38627, -- Worgen Stalkers (Horde Only)
	vignetteID = 826, -- Worgen Stalkers
}

NPCs[92626] = { -- Deathguard Adams
	factionGroup = "Horde",
	questID = 38630, -- Horde Kill Squad (Alliance Only)
	vignetteID = 828, -- Forsaken Deathsquad,
}

NPCs[92631] = { -- Dark Ranger Jess
	factionGroup = "Horde",
	questID = 38630, -- Horde Kill Squad (Alliance Only)
	vignetteID = 828, -- Forsaken Deathsquad,
}

NPCs[92633] = { -- Assassin Huwe
	factionGroup = "Horde",
	questID = 38630, -- Horde Kill Squad (Alliance Only)
	vignetteID = 828, -- Forsaken Deathsquad,
}

NPCs[92634] = { -- Apothecary Perez
	factionGroup = "Horde",
	questID = 38630, -- Horde Kill Squad (Alliance Only)
	vignetteID = 828, -- Forsaken Deathsquad,
}

NPCs[92682] = { -- Helmouth Raider
	achievementQuestID = 38642, -- Vrykul Longboat
	vignetteID = 833, -- Helmouth Raiders
}

NPCs[92685] = { -- Captain Brvet
	achievementQuestID = 38642, -- Vrykul Longboat
	vignetteID = 833, -- Helmouth Raiders
}

NPCs[92703] = { -- Helmouth Raider
	achievementQuestID = 38642, -- Vrykul Longboat
	vignetteID = 833, -- Helmouth Raiders
}

NPCs[92751] = { -- Ivory Sentinel
	achievementQuestID = 39031, -- Ivory Sentinel
	vignetteID = 897, -- Ivory Sentinel
}

NPCs[92763] = { -- The Nameless King
	achievementQuestID = 38685, -- The Nameless King
	vignetteID = 840, -- The Nameless King
}

NPCs[92951] = { -- Houndmaster Ely
	factionGroup = "Alliance",
	questID = 38712, -- Houndmaster Ely
	vignetteID = 847, -- Houndmaster Ely
}

NPCs[93166] = { -- Tiptog the Lost
	achievementQuestID = 38774, -- Lost Ettin
	vignetteID = 867, -- Lost Ettin
}

NPCs[93371] = { -- Mordvigbjorn
	achievementQuestID = 38837, -- Mordvigbjorn
	vignetteID = 877, -- Mordvigbjorn
}

NPCs[93401] = { -- Urgev the Flayer
	achievementQuestID = 38847, -- Berserker
	vignetteID = 879, -- Urgev the Flayer
}

NPCs[94313] = { -- Daniel "Boomer" Vorick
	factionGroup = "Alliance",
	questID = 39048, -- Demolitionist
	vignetteID = 900, -- Sapper Vorick
}

NPCs[94347] = { -- Dread-Rider Cortis
	factionGroup = "Horde",
	questID = 43343, -- Dread-Rider Cortis
	vignetteID = 1496, -- Dread-Rider Cortis
}

NPCs[94413] = { -- Isel the Hammer
	achievementQuestID = 39120, -- Shield Forger
	vignetteID = 940, -- Isel the Hammer
}

NPCs[98188] = { -- Egyl the Enduring
	achievementQuestID = 40068, -- 7.0 Stormheim - Egyl the Enduring - twh
	vignetteID = 1065, -- Egyl the Enduring
}

NPCs[98268] = { -- Tarben
	achievementQuestID = 40081, -- 7.0 Stormheim - Tarben - twh
	vignetteID = 1071, -- Tarben
}

NPCs[98421] = { -- Kottr Vondyr
	achievementQuestID = 40109, -- Vignette - Kottr Vondyr
	vignetteID = 1093, -- Kottr Vondyr
}

NPCs[98503] = { -- Grrvrgull the Conqueror
	achievementQuestID = 40113, -- Grrvrgull the Conquerer
	vignetteID = 1095, -- Grrvrgull the Conquerer
}

NPCs[106981] = { -- Captain Hring
	questID = 42269, -- The Soultakers
}

NPCs[106982] = { -- Reaver Jdorn
	questID = 42269, -- The Soultakers
}

NPCs[106984] = { -- Soultrapper Mevra
	questID = 42269, -- The Soultakers
}

NPCs[107023] = { -- Nithogg
	questID = 44508, -- Tracking Quest
}

NPCs[107487] = { -- Starbuck
	isTameable = true,
	questID = 42437, -- Starbuck
	vignetteID = 1371,
}

NPCs[107544] = { -- Nithogg
	questID = 44508, -- Tracking Quest
}

NPCs[107926] = { -- Hannval the Butcher
	achievementQuestID = 42591, -- Vignette - Hannval the Butcher
	vignetteID = 1400,
}

NPCs[108790] = { -- Den Mother Ylva
	questID = 42785, -- DANGER: Den Mother Ylva
	vignetteID = 1539,
}

NPCs[108822] = { -- Huntress Estrid
	questID = 42798, -- DANGER: Huntress Estrid
	vignetteID = 1536,
}

NPCs[108827] = { -- Fjorlag, the Grave's Chill
	questID = 45507, -- Fjorlag, the Grave's Chill
	vignetteID = 1831,
}

NPCs[108885] = { -- Aegir Wavecrusher
	questID = 42820, -- DANGER: Aegir Wavecrusher
	vignetteID = 1532,
}

NPCs[109015] = { -- Lagertha
	questID = 42964, -- DANGER: Lagertha
	vignetteID = 1531,
}

NPCs[109113] = { -- Boulderfall, the Eroded
	questID = 40067, -- 7.0 Stormheim - Boulderfall - twh
	vignetteID = 1537,
}

NPCs[109195] = { -- Soulbinder Halldora
	questID = 42953, -- DANGER: Soulbinder Halldora
	vignetteID = 1535,
}

NPCs[109317] = { -- Rulf Bonesnapper
	questID = 42963, -- DANGER: Rulf Bonesnapper
	vignetteID = 1534,
}

NPCs[109318] = { -- Runeseer Sigvid
	questID = 42991, -- DANGER: Runeseer Sigvid
	vignetteID = 1533,
}

NPCs[109994] = { -- Stormtalon
	achievementSpellID = 218964, -- Mount Stormtalon in Storm's Reach
	classification = NPCClassification.RareElite,
	vignetteID = -1,
	worldQuestID = 42025, -- Bareback Brawl
}

NPCs[110363] = { -- Roteye
	achievementQuestID = 43342, -- Vignette - Roteye
	vignetteID = 1495,
}

NPCs[111463] = { -- Bulvinkel
	isTameable = true,
}

-- ----------------------------------------------------------------------------
-- Val'sharah
-- ----------------------------------------------------------------------------
NPCs[92104] = { -- Thistleleaf Rascal
	achievementQuestID = 38466, -- Grellkin Treasure
	toys = {
		{ itemID = 130147 }, -- Thistleleaf Branch
	},
	vignetteID = 775, -- Unguarded Thistleleaf Treasure
}

NPCs[92117] = { -- Gorebeak
	isTameable = true,
	pets = {
		{
			itemID = 130154, -- Pygmy Owl
			npcID = 108568, -- Pygmy Owl
		},
	},
	questID = 38468, -- Gorebeak
	vignetteID = 776,
}

NPCs[92180] = { -- Seersei
	questID = 38479, -- Seersei
	toys = {
		{ itemID = 130171 }, -- Cursed Orb
	},
	vignetteID = 784,
}

NPCs[92423] = { -- Theryssia
	questID = 38772, -- Banshee Boss
	vignetteID = 866,
}

NPCs[92965] = { -- Darkshade
	pets = {
		{
			itemID = 130166, -- Risen Saber Kitten
			npcID = 99403, -- Risen Saber Kitten
		},
	},
	questID = 38767, -- Nightmaul
	vignetteID = 865,
}

NPCs[93030] = { -- Ironbranch
	questID = 40080, -- Ironbrancch
	vignetteID = 1070,
}

NPCs[93205] = { -- Thondrax
	questID = 38780, -- 7.0 Val'sharah - River - Thondrax - TRACKING - twh
	vignetteID = 869,
}

NPCs[93654] = { -- Skul'vrax
	achievementQuestID = 38887, -- 7.0 Val'sharah - Bluffs - Swiftflight - TRACKING - twh
	vignetteID = 887, -- Elindya Featherlight
}

NPCs[93679] = { -- Gathenak the Subjugator
	achievementQuestID = 44070, -- Gathenak
	vignetteID = 1615, -- Marius & Tehd
}

NPCs[93686] = { -- Jinikki the Puncturer
	questID = 38889, -- Adopting the Adorable
	vignetteID = 886, -- Shivering Ashmaw Cub
}

NPCs[93758] = { -- Antydas Nightcaller
	achievementQuestID = 38900, -- 7.0 Val'sharah - Bluffs - Nightcaller - TRACKING - twh
	vignetteID = 891,
}

NPCs[94414] = { -- Kiranys Duskwhisper
	achievementQuestID = 39121, -- Haunted Manor
	vignetteID = 941,
}

NPCs[94485] = { -- Pollous the Fetid
	achievementQuestID = 39130, -- 7.0 Val'sharah - River: Purging the River - TRACKING - twh
	pets = {
		{
			itemID = 130168, -- Fetid Waveling
			npcID = 99394, -- Fetid Waveling
		},
	},
	vignetteID = 944,
}

NPCs[95123] = { -- Grelda the Hag
	achievementQuestID = 40126, -- Grelda
	vignetteID = 1099,
}

NPCs[95221] = { -- Mad Henryk
	achievementQuestID = 39357, -- 7.0 Val'sharah - Grove - Eileen - TRACKING - twh
	toys = {
		{ itemID = 130214 }, -- Worn Doll
	},
	vignetteID = 967, -- Old Bear Trap
}

NPCs[95318] = { -- Perrexx
	achievementQuestID = 39596, -- 7.0 Val'sharah - Vale - Perrexx - TRACKING - twh
	vignetteID = 993, -- Perrexx the Corruptor
}

NPCs[97504] = { -- Wraithtalon
	achievementQuestID = 39856, -- Wraithtalon
	vignetteID = 1027,
}

NPCs[97517] = { -- Dreadbog
	achievementQuestID = 39858, -- Dreadbog
	vignetteID = 1028,
}

NPCs[98241] = { -- Lyrath Moonfeather
	achievementQuestID = 40079, -- Lyrath Moonfeather
	vignetteID = 1069,
}

NPCs[103785] = { -- Well-Fed Bear
	classification = NPCClassification.Rare,
	isTameable = true,
	vignetteID = -1,
	worldQuestID = 41553, -- Slab of Bacon
}

NPCs[104523] = { -- Shalas'aman
	questID = 45500, -- Shalas'aman
	vignetteID = 1824,
}

NPCs[106042] = { -- Kalazzius the Guileful
	questID = -1,
	vignetteID = -1,
}

NPCs[108678] = { -- Shar'thos
	classification = NPCClassification.RareElite,
	vignetteID = -1,
	worldQuestID = 42779, -- The Sleeping Corruption
}

NPCs[108879] = { -- Humongris
	classification = NPCClassification.RareElite,
	vignetteID = -1,
	worldQuestID = 42819, -- Pocket Wizard
}

NPCs[109125] = { -- Kathaw the Savage
	classification = NPCClassification.RareElite,
	vignetteID = -1,
	worldQuestID = 42870, -- DANGER: Kathaw the Savage
}

NPCs[109281] = { -- Malisandra
	questID = 45501, -- Malisandra
	toys = {
		{ itemID = 130171 }, -- Cursed Orb
	},
	vignetteID = 1825,
}

NPCs[109648] = { -- Witchdoctor Grgl-Brgl
	questID = 45493, -- Witchdoctor Grgl-Brgl
	vignetteID = 1818,
}

NPCs[109692] = { -- Lytheron
	questID = 45490, -- Lytheron
	vignetteID = 1815,
}

NPCs[109708] = { -- Undergrell Ringleader
	achievementQuestID = 43176, -- Grell Waves Tracking Flag
	vignetteID = 1453, -- Undergrell Attack
}

NPCs[109990] = { -- Nylaathria the Forgotten
	questID = 45488, -- Nylaathria the Forgotten
	vignetteID = 1813,
}

NPCs[110342] = { -- Rabxach
	questID = 45487, -- Rabxach
	vignetteID = 1812,
}

NPCs[110346] = { -- Aodh Witherpetal
	questID = 45485,
	vignetteID = 1811,
}

NPCs[110361] = { -- Harbinger of Screams
	questID = 45484, -- Harbinger of Screams
	vignetteID = 1810,
}

NPCs[110367] = { -- Ealdis
	questID = 45483, -- Ealdis
	vignetteID = 1809,
}

NPCs[110562] = { -- Bahagar
	achievementQuestID = 43446, -- Bahagar
	isTameable = true,
	vignetteID = 1504,
}

-- ----------------------------------------------------------------------------
-- Broken Shore
-- ----------------------------------------------------------------------------
NPCs[116166] = { -- Eye of Gurgh
	questID = 47068, -- Rare Elite 25
	vignetteID = 1970,
}

NPCs[116953] = { -- Corrupted Bonebreaker
	questID = 46101, -- Rare Elite 12
	vignetteID = 1513,
}

NPCs[117086] = { -- Emberfire
	questID = 46093, -- Rare Elite 04
	vignetteID = 1848,
}

NPCs[117089] = { -- Inquisitor Chillbane
	questID = 46096, -- Rare Elite 07
	vignetteID = 1849,
}

NPCs[117090] = { -- Xorogun the Flamecarver
	questID = 46100, -- Rare Elite 11
	vignetteID = 1850,
}

NPCs[117091] = { -- Felmaw Emberfiend
	questID = 46095, -- Rare Elite 06
	vignetteID = 1851,
}

NPCs[117093] = { -- Felbringer Xar'thok
	questID = 46099, -- Rare Elite 10
	vignetteID = 1847,
}

NPCs[117094] = { -- Malorus the Soulkeeper
	questID = 46092, -- Rare Elite 03
	vignetteID = 1883,
}

NPCs[117095] = { -- Dreadblade Annihilator
	questID = 46098, -- Rare Elite 09
	vignetteID = 1852,
}

NPCs[117096] = { -- Potionmaster Gloop
	questID = 46094, -- Rare Elite 05
	vignetteID = 1853,
}

NPCs[117103] = { -- Felcaller Zelthae
	questID = 46102, -- Rare Elite 13
	vignetteID = 1846,
}

NPCs[117136] = { -- Doombringer Zar'thoz
	questID = 46097, -- Rare Elite 08
	vignetteID = 1854,
}

NPCs[117140] = { -- Salethan the Broodwalker
	questID = 46091, -- Rare Elite 02
	vignetteID = 1855,
}

NPCs[117141] = { -- Malgrazoth
	questID = 46090, -- Rare Elite 01
	vignetteID = 1856,
}

NPCs[117303] = { -- Malificus
	questID = 46948, -- Malificus
}

NPCs[117470] = { -- Si'vash
	questID = 46945, -- Si'vash
}

NPCs[118993] = { -- Dreadeye
	questID = 46202, -- Rare Elite 14
	vignetteID = 1885,
}

NPCs[119629] = { -- Lord Hel'Nurath
	questID = 46304, -- Rare Elite 15
	vignetteID = 1887,
}

NPCs[119718] = { -- Imp Mother Bruva
	questID = 46313, -- Rare Elite 16
	vignetteID = 1888,
}

NPCs[120998] = { -- Flllurlokkr
	questID = 46951, -- Rare Elite 17
	vignetteID = 1905,
}

NPCs[121016] = { -- Aqueux
	questID = 46953, -- Rare Elite 18
	vignetteID = 1907,
}

NPCs[121029] = { -- Brood Mother Nix
	questID = 46965, -- Rare Elite 19
	vignetteID = 1917,
}

NPCs[121037] = { -- Grossir
	questID = 46995, -- Rare Elite 20
	vignetteID = 1947,
}

NPCs[121046] = { -- Brother Badatin
	questID = 47001, -- Rare Elite 21
	vignetteID = 1948,
}

NPCs[121049] = { -- Baleful Knight-Captain
	vignetteID = 1959,
}

NPCs[121051] = { -- Unstable Abyssal
	vignetteID = 1968,
}

NPCs[121056] = { -- Malformed Terrorguard
	vignetteID = 1961,
}

NPCs[121068] = { -- Volatile Imp
	vignetteID = 1966,
}

NPCs[121073] = { -- Deranged Succubus
	vignetteID = 1962,
}

NPCs[121077] = { -- Lambent Felhunter
	vignetteID = 1967,
}

NPCs[121088] = { -- Warped Voidlord
	vignetteID = 1960,
}

NPCs[121090] = { -- Demented Shivarra
	vignetteID = 1963,
}

NPCs[121092] = { -- Anomalous Observer
	vignetteID = 1965,
}

NPCs[121107] = { -- Lady Eldrathe
	questID = 47026, -- Rare Elite 22
	vignetteID = 1954,
}

NPCs[121108] = { -- Ruinous Overfiend
	vignetteID = 1964,
}

NPCs[121112] = { -- Somber Dawn
	questID = 47028, -- Rare Elite 23
	vignetteID = 1955,
}

NPCs[121124] = { -- Apocron
	questID = 47061, -- Apocron
}

NPCs[121134] = { -- Duke Sithizi
	questID = 47036, -- Rare Elite 24
	vignetteID = 1969,
}

-- ----------------------------------------------------------------------------
-- Helheim
-- ----------------------------------------------------------------------------
NPCs[92040] = { -- Fenri
	achievementQuestID = 38461, -- Guarms Mate (Fenri)
	vignetteID = 773,
}

NPCs[97630] = { -- Soulthirster
	achievementQuestID = 39870, -- Soulthirster
	vignetteID = 1041,
}

NPCs[109163] = { -- Captain Dargun
	classification = NPCClassification.RareElite,
	vignetteID = -1,
	worldQuestID = 42864, -- DANGER: Captain Dargun
}

-- ----------------------------------------------------------------------------
-- Highmountain
-- ----------------------------------------------------------------------------
NPCs[94877] = { -- Brogrul the Mighty
	questID = 39235, -- Buba
	vignetteID = 954,
}

NPCs[95204] = { -- Oubdob da Smasher
	questID = 39435, -- Oubdob da Smasher
	vignetteID = 970,
}

NPCs[95872] = { -- Skullhat
	achievementQuestID = 39465, -- Skywhisker Taskmaster
	vignetteID = 973,
}

NPCs[96072] = { -- Durguth
	questID = 45508, -- Durguth
	vignetteID = -1,
}

NPCs[96410] = { -- Majestic Elderhorn
	achievementQuestID = 39646, -- Albino Elderhorn
	isTameable = true,
	toys = {
		{ itemID = 131900 }, -- Majestic Elderhorn Hoof
	},
	vignetteID = 995,
}

NPCs[96590] = { -- Gurbog da Basher
	achievementQuestID = 40347, -- Gurbog da Basher
	vignetteID = 1126,
}

NPCs[96621] = { -- Mellok, Son of Torok
	achievementQuestID = 40242, -- Mellok, Son of Torok
	vignetteID = 1111,
}

NPCs[97093] = { -- Shara Felbreath
	achievementQuestID = 39762, -- Feltotem Warlock
	toys = {
		{ itemID = 131900 }, -- Majestic Elderhorn Hoof
	},
	vignetteID = 999,
}

NPCs[97102] = { -- Ram'Pag
	achievementQuestID = 39766, -- Treasure Worm
	vignetteID = 1000,
}

NPCs[97203] = { -- Tenpak Flametotem
	pets = {
		{
			itemID = 129175, -- Crispin
			npcID = 98077, -- Crispin
		},
	},
	achievementQuestID = 39782, -- The Exiled Shaman
	vignetteID = 1001,
}

NPCs[97220] = { -- Arru
	achievementQuestID = 39784, -- Beastmaster Pao'lek
	isTameable = true,
	vignetteID = 1003, -- Beastmaster Pao'lek
}

NPCs[97326] = { -- Hartli the Snatcher
	achievementQuestID = 39802, -- Hartli the Snatcher
	vignetteID = 1004,
}

NPCs[97345] = { -- Crawshuk the Hungry
	achievementQuestID = 39806, -- Crawshuk the Hungry
	vignetteID = 1006,
}

NPCs[97449] = { -- Bristlemaul
	achievementQuestID = 40405, -- Bristlemaul
	isTameable = true,
	vignetteID = 1148,
}

NPCs[97593] = { -- Mynta Talonscreech
	achievementQuestID = 39866, -- Scout Harefoot
	vignetteID = 1031,
}

NPCs[97653] = { -- Taurson
	achievementQuestID = 39872, -- The Beastly Boxer
	vignetteID = 1043, -- The Beastly Boxer
}

NPCs[97793] = { -- Flamescale
	questID = 39963, -- Abandoned Fishing Pole
	vignetteID = 1047, -- Abandoned Fishing Pole
}

NPCs[97928] = { -- Tamed Coralback
	achievementQuestID = 39994, -- Crab Rider Grmlrml
	isTameable = true,
	vignetteID = 1056,
}

NPCs[97933] = { -- Crab Rider Grmlrml
	achievementQuestID = 39994, -- Crab Rider Grmlrml
	vignetteID = 1056,
}

NPCs[98024] = { -- Luggut the Eggeater
	achievementQuestID = 40406, -- Luggut the Eggeater
	vignetteID = 1147,
}

NPCs[98299] = { -- Bodash the Hoarder
	achievementQuestID = 40084, -- Zugdug the Hoarder
	vignetteID = 1073,
}

NPCs[98311] = { -- Mrrklr
	achievementQuestID = 40096, -- Mrrklr
	vignetteID = 1084, -- Captured Survivor
}

NPCs[98890] = { -- Slumber
	achievementQuestID = 40175, -- Sleeping Bear
	isTameable = true,
	vignetteID = 1106, -- Slumbering Bear
}

NPCs[99929] = { -- Flotsam
	questID = 41126, -- 7.0 Suramar - Flotsam - twh
	vignetteID = 1245, -- Flotsam
}

NPCs[100230] = { -- "Sure-Shot" Arnie
	achievementQuestID = 40413, -- Amateur Hunters
	vignetteID = 1150,
}

NPCs[100231] = { -- Dargok Thunderuin
	achievementQuestID = 40413, -- Amateur Hunters
	vignetteID = 1150,
}

NPCs[100232] = { -- Ryael Dawndrifter
	achievementQuestID = 40413, -- Amateur Hunters
	vignetteID = 1150,
}

NPCs[100302] = { -- Puck
	achievementQuestID = 40423, -- Unethical Adventurers
	vignetteID = 724,
}

NPCs[100303] = { -- Zenobia
	achievementQuestID = 40423, -- Unethical Adventurers
	vignetteID = 724,
}

NPCs[100495] = { -- Devouring Darkness
	achievementQuestID = 40414, -- Devouring Darkness
	vignetteID = 1218,
}

NPCs[101077] = { -- Sekhan
	achievementQuestID = 40681, -- Snarf
	isTameable = true,
	vignetteID = 1221,
}

NPCs[101649] = { -- Frostshard
	questID = 40773, -- Bloodshard
	vignetteID = 1673, -- Frostshard
}

NPCs[102863] = { -- Bruiser
	isTameable = true,
	questID = 41042, -- Champion Chomper
	vignetteID = 1240, -- Champion Chomper
}

NPCs[104481] = { -- Ala'washte
	questID = 45514, -- Ala'washte
	vignetteID = 1838,
}

NPCs[104484] = { -- Olokk the Shipbreaker
	questID = 45511, -- Olokk the Shipbreaker
	vignetteID = 1835,
}

NPCs[104513] = { -- Defilia
	questID = 45513, -- Defilia
	vignetteID = 1837,
}

NPCs[104517] = { -- Mawat'aki
	questID = 45512, -- Mawat'aki
	vignetteID = 1836,
}

NPCs[104524] = { -- Ormagrogg
	questID = 45510, -- Ormagrogg
	vignetteID = 1834,
}

NPCs[109498] = { -- Xaander
	achievementQuestID = 40423, -- Unethical Adventurers
	vignetteID = 724,
}

NPCs[109500] = { -- Jak
	achievementQuestID = 40423, -- Unethical Adventurers
	vignetteID = 724,
}

NPCs[109501] = { -- Darkful
	achievementQuestID = 40423, -- Unethical Adventurers
	vignetteID = 724,
}

NPCs[110378] = { -- Drugon the Frostblood
	questID = 44503, -- Tracking Quest
	vignetteID = -1,
}

NPCs[125951] = { -- Obsidian Deathwarder
	questID = 48381, -- Unknown
	vignetteID = 2055,
}

-- ----------------------------------------------------------------------------
-- Mardum, the Shattered Abyss
-- ----------------------------------------------------------------------------
NPCs[97057] = { -- Overseer Brutarg
	questID = 40233, -- The Brood Queen's Court: Overseer Brutarg
	vignetteID = 1109, -- The Brood Queen's Court: Overseer Brutarg
}

NPCs[97058] = { -- Count Nefarious
	questID = 40231, -- The Brood Queen's Court: Count Nefarious
	vignetteID = 1107, -- The Brood Queen's Court: Count Nefarious
}

NPCs[97059] = { -- King Voras
	questID = 40232, -- The Brood Queen's Court: King Voras
	vignetteID = 1108, -- The Brood Queen's Court: King Voras
}

NPCs[97370] = { -- General Volroth
	questID = 40234, -- The Brood Queen's Court: General Volroth
	vignetteID = 1110, -- The Brood Queen's Court: General Volroth
}

-- ----------------------------------------------------------------------------
-- Vault of the Wardens
-- ----------------------------------------------------------------------------
NPCs[96997] = { -- Kethrazor
	questID = 40251, -- Kethrazor
	vignetteID = 1112,
}

NPCs[97069] = { -- Wrath-Lord Lekos
	questID = 40301, -- Phalanx Captain
	vignetteID = 1119,
}

-- ----------------------------------------------------------------------------
-- Suramar
-- ----------------------------------------------------------------------------
NPCs[99610] = { -- Garvrulg
	achievementQuestID = 40897, -- Garvrulg
	vignetteID = 1236,
}

NPCs[99792] = { -- Elfbane
	achievementQuestID = 41319, -- Elfbane
	vignetteID = 1263,
}

NPCs[99899] = { -- Vicious Whale Shark
	questID = 44669, -- Vicious Whale Shark
	vignetteID = 1144,
}

NPCs[100864] = { -- Cora'kar
	achievementQuestID = 41135, -- 7.0 Suramar - Cora'kar - twh
	vignetteID = 1249,
}

NPCs[102303] = { -- Lieutenant Strathmar
	achievementQuestID = 40905, -- Lieutenant Strathmar
	vignetteID = 1239,
}

NPCs[103183] = { -- Rok'nash
	achievementQuestID = 40680, -- 7.0 Suramar - Rok'nash - twh
	vignetteID = 1220,
}

NPCs[103203] = { -- Jetsam
	questID = 41134, -- 7.0 Suramar - Jetsam - twh
	vignetteID = 1248,
}

NPCs[103214] = { -- Har'kess the Insatiable
	achievementQuestID = 41136, -- 7.0 Suramar - Har'kess - twh
	vignetteID = 1250,
}

NPCs[103223] = { -- Hertha Grimdottir
	achievementQuestID = 43993, -- Hertha Grimdottir
	vignetteID = 1251,
}

NPCs[103575] = { -- Reef Lord Raj'his
	achievementQuestID = 44003, -- Reef Lord Raj'his
	vignetteID = 1259,
}

NPCs[103787] = { -- Baconlisk
	isTameable = true,
	questID = -1,
	vignetteID = -1,
}

NPCs[103827] = { -- King Morgalash
	questID = 41786, -- 7.0 Suramar - Sea Giant King - twh
	vignetteID = 1281, -- Sea Giant King
}

NPCs[103841] = { -- Shadowquill
	achievementQuestID = 43996, -- Shadowquill
	isTameable = true,
	vignetteID = 1610,
}

NPCs[104519] = { -- Colerian
	questID = 45503, -- Colerian
	vignetteID = 1827,
}

NPCs[104521] = { -- Alteria
	questID = 45504, -- Alteria
	vignetteID = 1828,
}

NPCs[104522] = { -- Selenyi
	questID = 45502, -- Selenyi
	vignetteID = 1826,
}

NPCs[104698] = { -- Colerian
	questID = 45503, -- Colerian
	vignetteID = -1,
}

NPCs[105632] = { -- Broodmother Shu'malis
	questID = -1,
	vignetteID = -1,
}

NPCs[105547] = { -- Rauren
	achievementQuestID = 43484, -- Rauren
	vignetteID = 1508,
}

NPCs[105728] = { -- Scythemaster Cil'raman
	questID = 45505, -- Scythemaster Cil'raman
	vignetteID = 1829,
}

NPCs[105739] = { -- Sanaar
	questID = -1,
	vignetteID = -1,
}

NPCs[105899] = { -- Oglok the Furious
	questID = 45506, -- Oglok the Furious
	vignetteID = 1830,
}

NPCs[106351] = { -- Artificer Lothaire
	achievementQuestID = 43717, -- Artificer Lothaire
	vignetteID = 1547,
}

NPCs[106526] = { -- Lady Rivantas
	questID = 44675, -- Lady Rivantas
	vignetteID = 1691,
}

NPCs[106532] = { -- Inquisitor Volitix
	pets = {
		{
			itemID = 136901, -- Eye of Inquisition
			npcID = 97179, -- Eye of Inquisition
		}
	},
	questID = 44569, -- Inquisitor Volitix
	vignetteID = 1685,
}

NPCs[107846] = { -- Pinchshank
	achievementQuestID = 43968, -- Pinchshank
	isTameable = true,
	toys = {
		{ itemID = 140314 }, -- Crab Shank
	},
	vignetteID = 1608,
}

NPCs[109054] = { -- Shal'an
	achievementQuestID = 42831, -- Shal'an
	vignetteID = 1442,
}

NPCs[109943] = { -- Ana-Mouz
	questID = 44501, -- Tracking Quest
	vignetteID = -1,
}

NPCs[109954] = { -- Magister Phaedris
	achievementQuestID = 43348, -- Magister Phaedris
	vignetteID = 1497,
}

NPCs[110024] = { -- Mal'Dreth the Corruptor
	achievementQuestID = 43351, -- Mal'Dreth the Corrupter
	vignetteID = 1498,
}

NPCs[110321] = { -- Na'zak the Fiend
	questID = 43513, -- Na'zak the Fiend
	vignetteID = -1,
}

NPCs[110340] = { -- Myonix
	achievementQuestID = 43358, -- Myonix
	isTameable = true,
	vignetteID = 1499,
}

NPCs[110438] = { -- Siegemaster Aedrin
	achievementQuestID = 43369, -- Siegemaster Aedrin
	vignetteID = 1500,
}

NPCs[110577] = { -- Oreth the Vile
	achievementQuestID = 43449, -- Oreth the Vile
	vignetteID = 1505,
}

NPCs[110656] = { -- Arcanist Lylandre
	achievementQuestID = 43481, -- Arcanist Lylandre
	vignetteID = 1507,
}

NPCs[110726] = { -- Cadraeus
	achievementQuestID = 43495, -- Cadraeus
	vignetteID = 1509,
}

NPCs[110824] = { -- Tideclaw
	achievementQuestID = 43542, -- Tideclaw
	isTameable = true,
	vignetteID = 1510,
}

NPCs[110832] = { -- Gorgroth
	achievementQuestID = 43992, -- Gorgroth
	vignetteID = 1609,
}

NPCs[110870] = { -- Apothecary Faldren
	achievementQuestID = 43580, -- Apothecary Faldren
	vignetteID = 1511,
}

NPCs[110944] = { -- Guardian Thor'el
	achievementQuestID = 43597, -- Guardian Thor'el
	vignetteID = 1515,
}

NPCs[111007] = { -- Randril
	achievementQuestID = 43603, -- Randril
	vignetteID = 1518,
}

NPCs[111197] = { -- Anax
	achievementQuestID = 43954, -- Anax
	pets = {
		{
			itemID = 140934, -- Benax
			npcID = 113136, -- Benax
		},
	},
	vignetteID = 1541,
}

NPCs[111329] = { -- Matron Hagatha
	achievementQuestID = 43718, -- Matron Hagatha
	vignetteID = 1548,
}

NPCs[111649] = { -- Ambassador D'vwinn
	achievementQuestID = 43794, -- Ambassador D'vwinn
	vignetteID = 1560,
}

NPCs[111651] = { -- Degren
	achievementQuestID = 43792, -- Degren
	vignetteID = 1558, -- Noble Blademaster
}

NPCs[111653] = { -- Miasu
	achievementQuestID = 43793, -- Miasu
	vignetteID = 1559,
}

NPCs[112497] = { -- Maia the White
	achievementQuestID = 44072, -- Maia the White
	isTameable = true,
	vignetteID = 1617,
}

NPCs[112705] = { -- Achronos
	questID = 45478, -- Achronos
	vignetteID = 1807,
}

NPCs[112756] = { -- Sorallus
	questID = 45477, -- Sorallus
	vignetteID = 1806,
}

NPCs[112757] = { -- Magistrix Vilessa
	questID = 45476, -- Magistrix Vilessa
	vignetteID = 1805,
}

NPCs[112758] = { -- Auditor Esiel
	questID = 45475, -- Auditor Esiel
	vignetteID = 1804,
}

NPCs[112759] = { -- Az'jatar
	questID = 45471, -- Az'jatar
	vignetteID = 1802,
}

NPCs[112760] = { -- Volshax, Breaker of Will
	questID = 45474, -- Volshax, Breaker of Will
	vignetteID = 1803,
}

NPCs[112802] = { -- Mar'tura
	achievementQuestID = 44124, -- Mar'tura
	isTameable = true,
	vignetteID = 1642,
}

NPCs[113368] = { -- Llorian
	questID = 44676, -- Llorian
	vignetteID = 1692, -- Llorian
}

NPCs[113694] = { -- Pashya
	isTameable = true,
	questID = -1,
	vignetteID = -1
}

-- ----------------------------------------------------------------------------
-- Eye of Azshara
-- ----------------------------------------------------------------------------
NPCs[91788] = { -- Shellmaw
	questID = -1,
	vignetteID = 1229,
}

NPCs[108543] = { -- Dread Captain Thedon
	questID = -1,
	vignetteID = 1527,
}

NPCs[101411] = { -- Gom Crabbar
	questID = 42712, -- Eye of Azshara: Termination Claws
	vignetteID = 1228,
}

NPCs[101467] = { -- Jaggen-Ra
	questID = -1,
	vignetteID = 1230,
}

NPCs[108541] = { -- Dread Corsair
	questID = -1,
	vignetteID = -1,
}

NPCs[111573] = { -- Kosumoth the Hungering
	questID = 45479, -- Kosumoth the Hungering
	vignetteID = 1808,
}
